summaryrefslogtreecommitdiff
path: root/script
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2024-05-15 02:36:24 +0100
committerLeah Rowe <leah@libreboot.org>2024-05-15 02:36:24 +0100
commita40a61292df7dba44bab271c50776643c8f19b82 (patch)
tree0773dfc24027c1d1c585c01bc5d0457ee6d066b1 /script
parente5ffb2afe6ca7cab8982d204709a612ac92090ab (diff)
build/roms: clean up tarball handling
Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'script')
-rwxr-xr-xscript/roms7
1 files changed, 4 insertions, 3 deletions
diff --git a/script/roms b/script/roms
index 2d07fa44..48eba1d5 100755
--- a/script/roms
+++ b/script/roms
@@ -160,9 +160,10 @@ handle_coreboot_target()
[ -d "bin/${board}" ] || return 0
[ "$lbmk_release" = "y" ] || targets="* bin/${board}\n${targets}"
- [ "$lbmk_release" = "y" ] && \
- targets="* bin/${relname}_$board.tar.xz\n$targets"
- [ "$lbmk_release" = "y" ] && mktar_release "bin/$board"; return 0
+ [ "$lbmk_release" = "y" ] || return 0
+
+ targets="* bin/${relname}_$board.tar.xz\n$targets"
+ mktar_release "bin/$board"
}
configure_target()